Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JTabbedPane.AccessibleJTabbedPane

    java.lang.Object
      |
      +--javax.accessibility.AccessibleContext
            |
            +--javax.swing.JComponent.AccessibleJComponent
                  |
                  +--javax.swing.JTabbedPane.AccessibleJTabbedPane

protected class JTabbedPane.AccessibleJTabbedPane
extends JComponent.AccessibleJComponent
implements AccessibleSelection, ChangeListener

The class used to obtain the accessible role for this object.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JComponent.AccessibleJComponent
`JComponent.AccessibleJComponent.AccessibleContainerHandler`

Fields inherited from class javax.swing.JComponent.AccessibleJComponent
`accessibleContainerHandler`

Fields inherited from class javax.accessibility.AccessibleContext
`ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

Constructor Summary
`JTabbedPane.AccessibleJTabbedPane()` Constructs an AccessibleJTabbedPane

Method Summary
`void` | `addAccessibleSelection(int i)`
`void` | `clearAccessibleSelection()`
`Accessible` | `getAccessibleAt(java.awt.Point p)`
`Accessible` | `getAccessibleChild(int i)` Return the specified Accessible child of the object.
`int` | `getAccessibleChildrenCount()` Returns the number of accessible children in the object.
`AccessibleRole` | `getAccessibleRole()` Get the role of this object.
`AccessibleSelection` | `getAccessibleSelection()` Get the AccessibleSelection associated with this object if one exists.
`Accessible` | `getAccessibleSelection(int i)`
`int` | `getAccessibleSelectionCount()`
`boolean` | `isAccessibleChildSelected(int i)`
`void` | `removeAccessibleSelection(int i)`
`void` | `selectAllAccessibleSelection()`
`void` | `stateChanged(ChangeEvent e)`

Methods inherited from class javax.swing.JComponent.AccessibleJComponent
`addFocusListener, addPropertyChangeListener, contains, getAccessibleComponent, getAccessibleDescription, getAccessibleIndexInParent, getAccessibleName, getAccessibleParent, getAccessibleStateSet, getBackground, getBorderTitle, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, removePropertyChangeListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

Methods inherited from class javax.accessibility.AccessibleContext
`firePropertyChange, getAccessibleAction, getAccessibleText, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTabbedPane.AccessibleJTabbedPane

    public JTabbedPane.AccessibleJTabbedPane()

  Constructs an AccessibleJTabbedPane

Method Detail

### stateChanged

    public void stateChanged(ChangeEvent e)

  Specified by:
    stateChanged in interface ChangeListener

### getAccessibleRole

    public AccessibleRole getAccessibleRole()

  Get the role of this object.
  Returns:
    an instance of AccessibleRole describing the role of the object
  Overrides:
    getAccessibleRole in class JComponent.AccessibleJComponent

### getAccessibleChildrenCount

    public int getAccessibleChildrenCount()

  Returns the number of accessible children in the object.
  Returns:
    the number of accessible children in the object.
  Overrides:
    getAccessibleChildrenCount in class JComponent.AccessibleJComponent

### getAccessibleChild

    public Accessible getAccessibleChild(int i)

  Return the specified Accessible child of the object.
  Parameters:
    `i` - zero-based index of child
  Returns:
    the Accessible child of the object
  Overrides:
    getAccessibleChild in class JComponent.AccessibleJComponent

### getAccessibleSelection

    public AccessibleSelection getAccessibleSelection()

  Get the AccessibleSelection associated with this object if one exists. Otherwise return null.
  Returns:
    the AccessibleSelection, or null
  Overrides:
    getAccessibleSelection in class AccessibleContext

### getAccessibleAt

    public Accessible getAccessibleAt(java.awt.Point p)

  Overrides:
    getAccessibleAt in class JComponent.AccessibleJComponent

### getAccessibleSelectionCount

    public int getAccessibleSelectionCount()

  Specified by:
    getAccessibleSelectionCount in interface AccessibleSelection

### getAccessibleSelection

    public Accessible getAccessibleSelection(int i)

  Specified by:
    getAccessibleSelection in interface AccessibleSelection

### isAccessibleChildSelected

    public boolean isAccessibleChildSelected(int i)

  Specified by:
    isAccessibleChildSelected in interface AccessibleSelection

### addAccessibleSelection

    public void addAccessibleSelection(int i)

  Specified by:
    addAccessibleSelection in interface AccessibleSelection

### removeAccessibleSelection

    public void removeAccessibleSelection(int i)

  Specified by:
    removeAccessibleSelection in interface AccessibleSelection

### clearAccessibleSelection

    public void clearAccessibleSelection()

  Specified by:
    clearAccessibleSelection in interface AccessibleSelection

### selectAllAccessibleSelection

    public void selectAllAccessibleSelection()

  Specified by:
    selectAllAccessibleSelection in interface AccessibleSelection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.